### Function

# Gimp Vectors export_to_file

since: 2.6

#### Declaration [src]

    gboolean
    gimp_vectors_export_to_file (
      GimpImage* image,
      GFile* file,
      GimpVectors* vectors
    )

#### Description [src]

Save a path as an SVG file.

This procedure creates an SVG file to save a Vectors object, that is, a path. The resulting file can be edited using a vector graphics application, or later reloaded into GIMP. Pass `NULL` as the ‘vectors’ argument to export all paths in the image.

Available since: 2.6

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The SVG file to create.

  The data is owned by the caller of the function.

`vectors`

  Type: `GimpVectors`

  The vectors object to export, or `NULL` for all in the image.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.